Bug 1262606 - 'Modified' column display issues
'Modified' column display issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-13 06:58 EDT by Tim Waugh
Modified: 2016-07-19 13:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:52:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2015-09-13 06:58:22 EDT
Description of problem:
When showing files in a list view in English (en_GB.UTF-8), the 'modified' column doesn't make a lot of sense for some relative times.

Version-Release number of selected component (if applicable):
nautilus-3.16.2-2.fc22.x86_64

How reproducible:
100%

Examples:
$ date
Sun 13 Sep 11:46:32 BST 2015

This file is displayed as being modified 'Sun', but that's today, so any human would describe it as 'Last week' or 'Last Sun':

$ stat /run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010450.JPG 
  File: ‘/run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010450.JPG’
  Size: 6792704   	Blocks: 13312      IO Block: 32768  regular file
Device: b301h/45825d	Inode: 290         Links: 1
Access: (0644/-rw-r--r--)  Uid: ( 1000/  twaugh)   Gid: ( 1000/  twaugh)
Context: system_u:object_r:dosfs_t:s0
Access: 2015-09-13 11:41:34.000000000 +0100
Modify: 2015-09-06 17:51:10.000000000 +0100
Change: 2015-09-06 17:51:11.000000000 +0100
 Birth: -


This file is displayed as being modified 'Yesterday', but any human would describe this as the day *before* yesterday, i.e. 'Friday':

$ stat /run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010463.JPG 
  File: ‘/run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010463.JPG’
  Size: 7220224   	Blocks: 14144      IO Block: 32768  regular file
Device: b301h/45825d	Inode: 302         Links: 1
Access: (0644/-rw-r--r--)  Uid: ( 1000/  twaugh)   Gid: ( 1000/  twaugh)
Context: system_u:object_r:dosfs_t:s0
Access: 2015-09-13 11:41:37.000000000 +0100
Modify: 2015-09-11 14:46:02.000000000 +0100
Change: 2015-09-11 14:46:02.000000000 +0100
 Birth: -


This file is displayed as being modified '1:55PM', but any human would describe it as 'Yesterday', or perhaps 'Yesterday 1:55PM':

$ stat /run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010470.JPG 
  File: ‘/run/media/twaugh/30C9-A465/DCIM/101_PANA/P1010470.JPG’
  Size: 7224320   	Blocks: 14144      IO Block: 32768  regular file
Device: b301h/45825d	Inode: 309         Links: 1
Access: (0644/-rw-r--r--)  Uid: ( 1000/  twaugh)   Gid: ( 1000/  twaugh)
Context: system_u:object_r:dosfs_t:s0
Access: 2015-09-13 11:41:38.000000000 +0100
Modify: 2015-09-12 13:55:06.000000000 +0100
Change: 2015-09-12 13:55:07.000000000 +0100
 Birth: -
Comment 1 Fedora End Of Life 2016-07-19 13:52:29 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.